# Method: regions.patch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch#try-it)

Updates a region definition in your Merchant Center account.

### HTTP request

`PATCH https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/regions/{regionId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The id of the merchant for which to update region definition. |
| `regionId` | `string` Required. The id of the region to update. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The comma-separated field mask indicating the fields to update. Example: `"displayName,postalCodeArea.regionCode"`. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/regions#Region`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/regions#Region`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).